Bug 188411 - ICE: in define__GNUC__, at c-cppbuiltin.c:316 (rebuilding gcc-4.1.0-6)
Summary: ICE: in define__GNUC__, at c-cppbuiltin.c:316 (rebuilding gcc-4.1.0-6)
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc   
(Show other bugs)
Version: 5
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-09 09:43 UTC by Axel Thimm
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-10 09:05:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Axel Thimm 2006-04-09 09:43:08 UTC
Description of problem:
I wanted to rebuild the gcc src.rpm from rawhide as it has fixed bugs #185356,
#185398 and #187532 (thanks for fixing them!). The build fails with

./xgcc -B./ -B/usr/i386-redhat-linux/bin/ -isystem
/usr/i386-redhat-linux/include -isystem /usr/i386-redhat-linux/sys-include
-L/var/tmp/bach-build/BUILD/gcc-4.1.0-20060406/obj-i386-redhat-linux/gcc/../ld
-O2 -O2 -O2 -g -pipe -Wall -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -march=i386 -mtune=generic
-fasynchronous-unwind-tables  -DIN_GCC    -W -Wall -Wwrite-strings
-Wstrict-prototypes -Wmissing-prototypes -Wold-style-definition  -isystem
./include  -I. -I. -I../../gcc -I../../gcc/. -I../../gcc/../include
-I../../gcc/../libcpp/include   -g0 -finhibit-size-directive
-fno-inline-functions -fno-exceptions -fno-asynchronous-unwind-tables
-fno-zero-initialized-in-bss -fno-unit-at-a-time  -fno-omit-frame-pointer \
  -c ../../gcc/crtstuff.c -DCRT_BEGIN \
  -o crtbegin.o
<built-in>:0: internal compiler error: in define__GNUC__, at c-cppbuiltin.c:316
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.


Version-Release number of selected component (if applicable):
I'm not sure which gcc is the one with the ICE. xgcc should be already the
rawhide bits, but it has been built with FC5's gcc:

gcc-4.1.0-3 building gcc-4.1.0-6


How reproducible:
always

Steps to Reproduce:
1.rpmbuild --rebuild gcc-4.1.0-6.src.rpm
  
Additional info:

Is there perhaps an update to gcc for FC5 in the works that will contain the
fixes for the three bugs mentioned above? Thanks!

Comment 1 Jakub Jelinek 2006-04-10 09:05:18 UTC
The above error means you put some invalid characters into gcc_release
macro.  If you want to use some special suffix, you should just modify
Release tag, but not change %{gcc_release}, as that is stored into the compiler
and the compiler driver has quite strict rules on what characters in it are
allowed.


Note You need to log in before you can comment on or make changes to this bug.